Modify

Opened 8 years ago

Closed 7 years ago

#51 closed defect (fixed)

Sali capabilities

Reported by: triguero@decsai.ugr.es Owned by: bas
Priority: major Milestone:
Component: sali Version:
Keywords: Cc: linux-tg@sara.nl

Description

Dear colleagues,

I've recently found your web-site about ''sali''.  Until now, I have
been using Systemimager but i'm having a lot of problems to use it with
Fedora 17.

I would like to know if sali is able to deal with kernels >3.4?
and
are there two different ''software'' for server and client machines?

I have built and installed this software in the golden client, but i
don't understand so much the 'SaliHowTo'. If I were able to use it
properly I would write a new documentation.

Thank you in advance!

Best Regards,
Isaac.



Attachments (6)

saliError.png (50.7 KB) - added by triguero@decsai.ugr.es 8 years ago.
Added by email2trac
Captura de pantalla de isaac@calculin en 2012-09-25 18:13:44.png (70.8 KB) - added by triguero@decsai.ugr.es 8 years ago.
Added by email2trac
si_monitorProblem.png (74.4 KB) - added by triguero@decsai.ugr.es 8 years ago.
Added by email2trac
SSHerror.png (69.4 KB) - added by triguero@decsai.ugr.es 8 years ago.
Added by email2trac
moduleError.png (71.9 KB) - added by triguero@decsai.ugr.es 8 years ago.
Added by email2trac
grubError.png (67.9 KB) - added by triguero@decsai.ugr.es 8 years ago.
Added by email2trac

Download all attachments as: .zip

Change History (49)

comment:1 Changed 8 years ago by bas

Dear Isaac,

What sali now offers is the installation process via kernel/initrd via pxeconfig. You have to make some adjustments to your old systemimager script to get it working with SALI. So you prepare your golden client and get the image on you server, This can be done by the systemimager server tools or https://subtrac.sara.nl/oss/sali/wiki/SaliServerInstallation suite.

The installation process kernel/initrd can install all kind of images and is not dependent on the kernel version. The only problem can be that the current kernel/initrd combination does not support your hardware, but that we can easily fix.

Good startingh points are:

comment:2 follow-up: Changed 8 years ago by triguero@decsai.ugr.es

  • Cc linux-tg@sara.nl added
Thank you so much for your answer.

I'm going to try to use this software.   My first problem is related
with pxeconfig software,
I have installed it in this way:

wget ftp://ftp.sara.nl/pub/outgoing/pxeconfig.tar.gz
  tar -xvf pxeconfig.tar.gz
./configure
  make install

     edit '/etc/services', eg:

           pxeconfigd      6611/tcp                       # pxe config
daemon


cp examples/pxeconfigd.xinetd /etc/xinetd.d/pxeconfigd
/etc/init.d/xinetd reload
Reloading xinetd configuration (via systemctl):            [  OK ]


I think every is ok, however I find this error:

telnet localhost pxeconfigd
Trying 127.0.0.1...
Connected to localhost.
Escape character is '^]'.
pxeconfig directory: /tftpboot/pxelinux.cfg does not exists
Connection closed by foreign host.


Thankyou!

Best regards,
Isaac.
El 20/09/12 16:29, sali escribió:
> #51: Sali capabilities
> -------------------------------------+------------------------
>    Reporter:  triguero@…              |      Owner:  somebody
>        Type:  defect                  |     Status:  new
>    Priority:  major                   |  Milestone:  SALI 1.6.0
>   Component:  sali                    |    Version:  1.5.4
> Resolution:                          |   Keywords:
> -------------------------------------+------------------------
>
> Comment (by bas):
>
>   Dear Isaac,
>
>    What sali now offers is the installation process via kernel/initrd via
>   pxeconfig. You have to make some adjustments to your old systemimager
>   script to get it working with SALI. So you prepare your golden client
and
>   get the image on you server, This can be done by the systemimager server
>   tools or https://subtrac.sara.nl/oss/sali/wiki/SaliServerInstallation
>   suite.
>
>   The installation process kernel/initrd can install all kind of images
and
>   is not dependent on the kernel version. The only problem can be that the
>   current kernel/initrd combination does not support your hardware, but
that
>   we can easily fix.
>
>   Good startingh points are:
>    * https://subtrac.sara.nl/oss/sali/wiki/SaliHowto
>    * https://subtrac.sara.nl/oss/sali/wiki/SaliUsage
>

comment:3 in reply to: ↑ 2 Changed 8 years ago by bas

Replying to triguero@…:

Thank you so much for your answer.

I'm going to try to use this software.   My first problem is related
with pxeconfig software,
I have installed it in this way:

wget ftp://ftp.sara.nl/pub/outgoing/pxeconfig.tar.gz
  tar -xvf pxeconfig.tar.gz
./configure
  make install

     edit '/etc/services', eg:

           pxeconfigd      6611/tcp                       # pxe config
daemon


cp examples/pxeconfigd.xinetd /etc/xinetd.d/pxeconfigd
/etc/init.d/xinetd reload
Reloading xinetd configuration (via systemctl):            [  OK ]


I think every is ok, however I find this error:

telnet localhost pxeconfigd
Trying 127.0.0.1...
Connected to localhost.
Escape character is '^]'.
pxeconfig directory: /tftpboot/pxelinux.cfg does not exists
Connection closed by foreign host.

Isaac,

The message is pretty clear ;-). Does the directory /tftpboot/pxelinux.cfg exists on your server? How did you install your nodes with Systemimager?

regards

comment:4 Changed 8 years ago by triguero@decsai.ugr.es

El 21/09/12 08:41, sali escribió:
> #51: Sali capabilities
> -------------------------------------+------------------------
>    Reporter:  triguero@…              |      Owner:  somebody
>        Type:  defect                  |     Status:  new
>    Priority:  major                   |  Milestone:  SALI 1.6.0
>   Component:  sali                    |    Version:  1.5.4
> Resolution:                          |   Keywords:
> -------------------------------------+------------------------
>
> Comment (by bas):
>
>   Replying to [comment:2 triguero@…]:
>   > {{{
>   >
>   > Thank you so much for your answer.
>   >
>   > I'm going to try to use this software.   My first problem is related
>   > with pxeconfig software,
>   > I have installed it in this way:
>   >
>   > wget ftp://ftp.sara.nl/pub/outgoing/pxeconfig.tar.gz
>   >   tar -xvf pxeconfig.tar.gz
>   > ./configure
>   >   make install
>   >
>   >      edit '/etc/services', eg:
>   >
>   >            pxeconfigd      6611/tcp                       # pxe config
>   > daemon
>   >
>   >
>   > cp examples/pxeconfigd.xinetd /etc/xinetd.d/pxeconfigd
>   > /etc/init.d/xinetd reload
>   > Reloading xinetd configuration (via systemctl):            [  OK ]
>   >
>   >
>   > I think every is ok, however I find this error:
>   >
>   > telnet localhost pxeconfigd
>   > Trying 127.0.0.1...
>   > Connected to localhost.
>   > Escape character is '^]'.
>   > pxeconfig directory: /tftpboot/pxelinux.cfg does not exists
>   > Connection closed by foreign host.
>   >
>
>   Isaac,
>
>    The message is pretty clear ;-). Does the directory
>   /tftpboot/pxelinux.cfg exists on your server? How did you install your
>   nodes with Systemimager?
>
>   regards

Dear colleague,

thank you for your answer.. I know that it sounds pretty clear, however
I have copied the pxelinux.cfg (from the sali's source) to the directory:

[root@hercules tftpboot]# pwd
/tftpboot


[root@hercules tftpboot]# cat pxelinux.cfg
[DEFAULT]
;pxe_config_dir       : ./pxelinux.cfg
;debug           : 0
;client_script_hook_remove : /usr/sara/sbin/pxefirewall-pre-install.sh
remove
;client_script_hook_add    : /usr/sara/sbin/pxefirewall-pre-install.sh add
;daemon_script_hook        : /usr/sara/sbin/pxefirewall-post-install.sh

; Only set it when dynamic ip's are enabled
;
;arp_command        : /usr/sbin/arp -n


;[bas]
;mac_address: 00:19:b9:de:21:40


[root@hercules tftpboot]# telnet localhost pxeconfigd
Trying 127.0.0.1...
Connected to localhost.
Escape character is '^]'.
pxeconfig directory: /tftpboot/pxelinux.cfg does not exists
Connection closed by foreign host.

With systemimager, I used the scripts:  si_mkbootserver and
si_mkclientnetboot  in this way:

si_mkclientnetboot --clients "node37" --netboot --flavor fedora17

I modified my dhcp server configuration with these parameters:

# Systemimager parameters:


# Imageserver
option option-140 code 140 = text;

# log_server_port
option option-141 code 141 = unsigned integer 32;

# ssh_download_url
option option-142 code 142 = string;

# flamethrower_directory_portbase
option option-143 code 143 = string;

# tmpfs_staging
option option-144 code 144 = string;

# option-140 is the IP address of your SystemImager image server
option option-140 "192.168.1.20";

   option option-144 "n";

# Uncomment one of the two following lines.  The first, if you need to
# boot i386 clients, or the second for booting ia64 clients.
filename "pxelinux.bin";   # i386


                 host node37{
                         hardware ethernet 00:25:90:20:4B:C4;
                         fixed-address 192.168.1.87;
                         filename "pxelinux.bin";
                         option routers 192.168.1.20;
                         option domain-name "local";
                         next-server 192.168.1.20;
                 }

What am I doing wrong?

Furthermore, I have installed the Sali's Server and I get this answer:

[root@hercules tftpboot]# sali getimage
Golden image hostname:  [] node36
Traceback (most recent call last):
   File "/usr/bin/sali", line 360, in <module>
     tr = OPTIONS[ args.option ]( args )
   File "/usr/bin/sali", line 95, in __init__
     self.imagename = ask( 'Imagename', choices=os.listdir(
self.cfg.get( 'update', 'imagedir' ) ) )
OSError: [Errno 2] No such file or directory: '/data/sali/images'

I suppose that It is due to the fact that I haven't finished the
configuration of pxe.


Best Regards,
Isaac.





comment:5 Changed 8 years ago by bas

Issaac,

There are several issues. You installed pxeconfig with configure; make install. So the files are installed in:

  • /usr/local

The configuration file for pxeconfig is:

  • /usr/local/etc/pxeconfig.confg and not /tftpboot/pxelinux.cfg

If i read it correctly /tftpboot/pxelinux.cfg is a file and not a directory. So the error that pxeconfig gives it correct. So create an directory /tftpboot/pxelinux.cfg and placce the default pxeconfig example in this directory. PXE is used in combo with dhcp so you can control how a node boots. This only works when you enabled PXE booting in the BIOS of your PC:

Just take your time and read the installation docs carefully. I do step by step.

You did not answer the question is how did you use Systemimager? Or is this your first time that you look into cluster installation tools?
`

comment:6 Changed 8 years ago by triguero@decsai.ugr.es

Dear 'bas',

thanks again for your efforts! I didn't understand that pxeconfig.cfg
was a directory.. My english is not very good! sorry!
So now, pxeconfig is working properly, I think.

In order to answer your question, I've been using Systemimager from a
long time with Fedora11-15. But now, I've got a lot
of problems with it due to the kernel in Fedora 17. (It produces a
kernel panic when I try to boot the clients).
I have been working with si_mkclientnetboot --clients "node37" --netboot
--flavor fedora17 which allow
to boot via PXE. I've set up the dhcp with the proper options..

I tried to read the documentation of Sali, but I am a little confused
with the way it works.

I would like to show you the steps I've followed:

*In the image-serve**r:*

Following the guide, I've installed the server with:

cd /data/tftpboot/trunk/server
python setup.py install

Furthermore I've set up the pxeconfig with your help. I've also setup my
dhcp server with sali-options.

option sali-imgsrv code 224 = ip-address;

And in the target nodes I've added this:

   option sali-imgsrv 192.168.1.20;


Everything should be ok.

I turn on the sali_server:  [root@hercules /]# sali_server
/etc/sali/sali.cfg start

mkdir /data/sali/images  (i think it is needed)


But when I try to retrieve an image, I obtain this error:

[root@hercules sali]# sali getimage
Golden image hostname:  [] node36
Imagename:  [] Fedora17sali
Traceback (most recent call last):
   File "/usr/bin/sali", line 360, in <module>
     tr = OPTIONS[ args.option ]( args )
   File "/usr/bin/sali", line 107, in __init__
     os.makedirs( imagepath, 0777 )
NameError: global name 'imagepath' is not defined

Do you know where is the problem?  I've checked the /etc/sali/sali.cfg
but I dont find anything related with the imagepath.

The client has been prepared with si_prepareclient (From old
systemimager.. I am not sure if it is correct)

*
**In the golden-client, I did:*

cd /data/tftpboot
mkdir sali
tar xvzf sali.tar.gz   / svn co https://subtrac.sara.nl/oss/sali/svn/trunk
cd /data/tftpboot/sali
ln -s x86_64 trunk
./configure
make tarball

I unpacked the resulting .tar.gz.

Here, I don't know If I have to install pxeconfig in the CLIENT?

In the same way, I don't know how to "call" sali in this golden-client
(such as si_prepareclient).

Best Regards,
Isaac.









El 21/09/12 11:37, sali escribió:
> #51: Sali capabilities
> -------------------------------------+------------------------
>    Reporter:  triguero@…              |      Owner:  somebody
>        Type:  defect                  |     Status:  new
>    Priority:  major                   |  Milestone:  SALI 1.6.0
>   Component:  sali                    |    Version:  1.5.4
> Resolution:                          |   Keywords:
> -------------------------------------+------------------------
>
> Comment (by bas):
>
>   Issaac,
>
>    There are several issues. You installed pxeconfig with `configure; make
>   install`. So the files are installed in:
>      * /usr/local
>
>    The configuration file for `pxeconfig` is:
>     * /usr/local/etc/pxeconfig.confg and '''not''' /tftpboot/pxelinux.cfg
>
>   If i read it correctly `/tftpboot/pxelinux.cfg` is a file and not a
>   directory. So the error that pxeconfig gives it correct. So create an
>   directory /tftpboot/pxelinux.cfg and placce the default pxeconfig
example
>   in this directory. PXE is used in combo with dhcp so you can control how
a
>   node boots. This only works when you enabled PXE booting in the BIOS of
>   your PC:
>    * http://www.syslinux.org/wiki/index.php/PXELINUX
>
>   Just take your time and read the installation docs carefully. I do step
by
>   step.
>
>   You did not answer the question is how did you use Systemimager? Or is
>   this your first time that you look into cluster installation tools?
>   `
>

comment:7 Changed 8 years ago by dennis

Hi Isaac,

Thanks for reporting that issue, that was a bug in the code, I have just fixed this in the trunk version.

comment:8 Changed 8 years ago by triguero@decsai.ugr.es

Dear Dennis,

thank you for fixing this bug. I've updated and re-install the server.
However,

I get the following error when I try to retrieve the image:

[root@hercules server]# sali getimage
Golden image hostname:  [] node36
Imagename: Fedora17sali []
Traceback (most recent call last):
   File "/usr/bin/sali", line 360, in <module>
     tr = OPTIONS[ args.option ]( args )
   File "/usr/bin/sali", line 95, in __init__
     self.imagename = ask( 'Imagename', choices=os.listdir(
self.cfg.get( 'update', 'imagedir' ) ) )
   File "/usr/bin/sali", line 62, in ask
     return choices( question, choices, default, showlist )
TypeError: 'list' object is not callable


Is it a new bug?? Or  did I something wrong?

Thank you !

Best regards,
Isaac.
El 21/09/12 13:42, sali escribió:
> #51: Sali capabilities
> -------------------------------------+------------------------
>    Reporter:  triguero@…              |      Owner:  somebody
>        Type:  defect                  |     Status:  new
>    Priority:  major                   |  Milestone:  SALI 1.6.0
>   Component:  sali                    |    Version:  1.5.4
> Resolution:                          |   Keywords:
> -------------------------------------+------------------------
>
> Comment (by dennis):
>
>   Hi Isaac,
>
>   Thanks for reporting that issue, that was a bug in the code, I have just
>   fixed this in the trunk version.
>

comment:9 Changed 8 years ago by dennis

Yup you are right, that's another bug. And i have just fixed this in the trunk.

Thanks for reporting.

comment:10 follow-up: Changed 8 years ago by triguero@decsai.ugr.es

Dear Dennis,

thank you so much. I have been able to use sali server to get the image,
and it finishes successfully.
The image has been saved in /data/sali/images. Now, I want to install
this image in several nodes,
but I am not able to run via PXE.

I've included the information necessary in the dhcp server (it is also
my image server) that it is defined at
https://subtrac.sara.nl/oss/sali/wiki/SaliUsage/DhcpOptions

should I define a default.* for this image? in the pxelinux.cfg?


Do you think that could be a conflict between the configuration
established with systemimager
and sali?

I've observed that systemimager has its own /var/lib/tftpboot with a
pxelinux.bin which is used to boot the clients. I am not sure how to
''say'' to the dhcp configuration that it should be changed. Any ideas?

Regards,
Isaac.



El 21/09/12 14:34, sali escribió:
> #51: Sali capabilities
> -------------------------------------+------------------------
>    Reporter:  triguero@…              |      Owner:  somebody
>        Type:  defect                  |     Status:  new
>    Priority:  major                   |  Milestone:  SALI 1.6.0
>   Component:  sali                    |    Version:  1.5.4
> Resolution:                          |   Keywords:
> -------------------------------------+------------------------
>
> Comment (by dennis):
>
>   Yup you are right, that's another bug. And i have just fixed this in the
>   trunk.
>
>   Thanks for reporting.
>

comment:11 in reply to: ↑ 10 Changed 8 years ago by bas

Replying to triguero@…:

Dear Dennis,

thank you so much. I have been able to use sali server to get the image,
and it finishes successfully.
The image has been saved in /data/sali/images. Now, I want to install
this image in several nodes,
but I am not able to run via PXE.

I've included the information necessary in the dhcp server (it is also
my image server) that it is defined at
https://subtrac.sara.nl/oss/sali/wiki/SaliUsage/DhcpOptions

should I define a default.* for this image? in the pxelinux.cfg?


Do you think that could be a conflict between the configuration
established with systemimager
and sali?

I've observed that systemimager has its own /var/lib/tftpboot with a
pxelinux.bin which is used to boot the clients. I am not sure how to
''say'' to the dhcp configuration that it should be changed. Any ideas?

Issac,

Can you connect to the console of the node? So see what the node does. Second did you check your logs in the installation server?

How did you configure your tftp-server? You have to specify a directort. It seems that it is:

  • /var/lib/tftpboot

So you must have a pxelinux.cfg directory in this path:

  • /var/lib/tftpboot/pxelinux.cfg

Read the pxelinux documentation and alll your files must begin with default.. There is on link:

  • default -> default.menu
  • There are some examples in the pxeconfig.tar.gz distribution

Now boot the node and see if you setup is working. This is your first step. If this does not work then nothing works. Just do small steps and get familiar with the setup. Then try the next step 'booting SALI':

The SALI kernel/initrd file

comment:12 Changed 8 years ago by triguero@decsai.ugr.es

Dear Bas,

thank you so much! I have read carefully all the steps you said and now
I have been able to start a client node with Sali.

However, when it starts, it says:

''An error has occurred in stage S1network"

You can find attached a snapshot of this error.

Anyway, there is something I don't understand. I am able to start a
client with pxe, and
I got my image with "sali getimage" and "sali rsync".
What  is the next step?, I mean, what must I do to start a client a copy
all the data from the image-server?


Thank you!

best regards,
Isaac.



El 24/09/12 13:30, sali escribió:
> #51: Sali capabilities
> -------------------------------------+------------------------
>    Reporter:  triguero@…              |      Owner:  somebody
>        Type:  defect                  |     Status:  new
>    Priority:  major                   |  Milestone:  SALI 1.6.0
>   Component:  sali                    |    Version:  1.5.4
> Resolution:                          |   Keywords:
> -------------------------------------+------------------------
>
> Comment (by bas):
>
>   Replying to [comment:10 triguero@…]:
>   > {{{
>   >
>   > Dear Dennis,
>   >
>   > thank you so much. I have been able to use sali server to get the
image,
>   > and it finishes successfully.
>   > The image has been saved in /data/sali/images. Now, I want to install
>   > this image in several nodes,
>   > but I am not able to run via PXE.
>   >
>   > I've included the information necessary in the dhcp server (it is also
>   > my image server) that it is defined at
>   > https://subtrac.sara.nl/oss/sali/wiki/SaliUsage/DhcpOptions
>   >
>   > should I define a default.* for this image? in the pxelinux.cfg?
>   >
>   >
>   > Do you think that could be a conflict between the configuration
>   > established with systemimager
>   > and sali?
>   >
>   > I've observed that systemimager has its own /var/lib/tftpboot with a
>   > pxelinux.bin which is used to boot the clients. I am not sure how to
>   > ''say'' to the dhcp configuration that it should be changed. Any
ideas?
>   >
>
>   Issac,
>
>     Can you connect to the console of the node? So see what the node does.
>   Second did you check your logs in the installation server?
>
>     How did you configure your tftp-server? You have to specify a
directort.
>   It seems that it is:
>      *   /var/lib/tftpboot
>
>     So you must have a pxelinux.cfg directory in this path:
>
>      * /var/lib/tftpboot/pxelinux.cfg
>
>     Read the pxelinux documentation and alll your files must begin with
>   `default.`. There is on link:
>      * default -> default.menu
>      * There are some examples in the pxeconfig.tar.gz distribution
>
>     Now boot the node and see if you setup is working. This is your first
>   step. If this does not work then nothing works. Just do small steps and
>   get familiar with the setup. Then try the next step 'booting SALI':
>      * https://subtrac.sara.nl/oss/sali/wiki/SaliHowto#Test
>     The SALI kernel/initrd file
>

saliError.png

Changed 8 years ago by triguero@decsai.ugr.es

Added by email2trac

comment:13 Changed 8 years ago by bas

Isaac,

You are using the bleeding edge version. That is good for the SALI server suite, because that is not yet released to the public in a stable version ;-). Can you grab the tarball from our ftp-server. That is version 1.5.X. In the tarball a kernel/initrd is provided that is stable and should see your network devices. If that works you can use ssh to access your node. Then you are ready for the next step, install the node. Do you have an installation script?

regards

comment:15 follow-up: Changed 8 years ago by triguero@decsai.ugr.es

Dear bas,

At the beginning, I downloaded the 1.5.4 version from the ftp.  I take
the opportunity to tell you that the link (to the ftp server)  that you
can use at https://subtrac.sara.nl/oss/sali/wiki/SaliHowto  is broken.

With this version, I've found a different error..you can find attached.
I am not able to access the client node with ssh, it is able to response
to ''ping".

Then, I tried an older version (1.5.0) and it works. Although  I see the
following message in the console: "An error has occurred in stage $99final.

On the other hand, What program must I use to generate the autoinstall
script?? I've got a previous autoinstallscript generated with
systemimager but it failed because of 'grub2' I suppose.

Best regards,
Isaac.




El 25/09/12 14:15, sali escribió:
> #51: Sali capabilities
> -------------------------------------+------------------------
>    Reporter:  triguero@…              |      Owner:  somebody
>        Type:  defect                  |     Status:  new
>    Priority:  major                   |  Milestone:  SALI 1.6.0
>   Component:  sali                    |    Version:  1.5.4
> Resolution:                          |   Keywords:
> -------------------------------------+------------------------
>
> Comment (by bas):
>
>   Isaac,
>
>    You are using the `bleeding edge` version. That is good for the SALI
>   server suite, because that is not yet released to the public in a stable
>   version ;-). Can you grab the tarball from our ftp-server. That is
version
>   1.5.X. In the tarball a kernel/initrd is provided that is stable and
>   should see your network devices. If that works you can use `ssh` to
access
>   your node. Then you are ready for the next step, install the node. Do
you
>   have an installation script?
>
>   regards
>

Captura de pantalla de isaac@calculin en 2012-09-25 18:13:44.png

Changed 8 years ago by triguero@decsai.ugr.es

Added by email2trac

comment:16 in reply to: ↑ 15 Changed 8 years ago by bas

  • Milestone SALI 1.6.0 deleted
  • Owner changed from somebody to bas
  • Status changed from new to accepted

Replying to triguero@…:

Dear bas,

At the beginning, I downloaded the 1.5.4 version from the ftp. I take
the opportunity to tell you that the link (to the ftp server) that you
can use at https://subtrac.sara.nl/oss/sali/wiki/SaliHowto is broken.

I have fixed the link thanks for reporting.

With this version, I've found a different error..you can find attached.
I am not able to access the client node with ssh, it is able to response
to ping".

This is an error in the initrd image. I will release a new version that will fix it. Thanks for screen shot

Then, I tried an older version (1.5.0) and it works. Although I see the
following message in the console: "An error has occurred in stage $99final.

This means that it can not find a image server or install script. The error message is better in 1.5.4.

On the other hand, What program must I use to generate the autoinstall
script?? I've got a previous autoinstallscript generated with
systemimager but it failed because of 'grub2' I suppose.

That is explained in the SALI docs. We do not generate a install script. You can copy your old script and adjust it. See docs how to convert it. In SALI there is a grub2 function, see example script:

comment:16 Changed 8 years ago by bas

(In [536]) fixed permissions for sshd private keys, see #51

comment:17 Changed 8 years ago by bas

Just release version 1.5.5 that must fix the ssh issues

comment:20 Changed 8 years ago by triguero@decsai.ugr.es

El 26/09/12 14:44, sali escribió:
> #51: Sali capabilities
> -------------------------------------+----------------------
>    Reporter:  triguero@…              |      Owner:  bas
>        Type:  defect                  |     Status:  accepted
>    Priority:  major                   |  Milestone:
>   Component:  sali                    |    Version:  1.5.4
> Resolution:                          |   Keywords:
> -------------------------------------+----------------------
>
> Comment (by bas):
>
>   Just release version 1.5.5 that must fix the ssh issues
>
Thanks!  It works!

comment:21 follow-up: Changed 8 years ago by triguero@decsai.ugr.es

Dear bas,

I'm sorry if i'm bothering you. I have a new problem. You can find
attached the screen shot.

I tell you what I do:

I've copy the installation script you tell me "masterscript.new" to
/var/lib/systemimager/scripts
and I've renamed this as:  saliFedora17.master
It is the name of my image.

In the kernel line, I've added the following parameters:

IMAGESERVER=192.168.1.20 GRUB2=yes SCRIPTNAME=saliFedora.master
IMAGENAME=saliFedora

The image is appropriately get it from the golden-client and it is saved
in the image-server. The corresponding directory is showed in the
sali.cfg file.


However, it shows an error related with si_monitor I don't understand.
Is it possible to come from the sali.cfg file? I'm not sure.

Thanks again for your help! I really appreciate it.

Best regards,
Isaac.




El 26/09/12 14:44, sali escribió:
> #51: Sali capabilities
> -------------------------------------+----------------------
>    Reporter:  triguero@…              |      Owner:  bas
>        Type:  defect                  |     Status:  accepted
>    Priority:  major                   |  Milestone:
>   Component:  sali                    |    Version:  1.5.4
> Resolution:                          |   Keywords:
> -------------------------------------+----------------------
>
> Comment (by bas):
>
>   Just release version 1.5.5 that must fix the ssh issues
>

si_monitorProblem.png

Changed 8 years ago by triguero@decsai.ugr.es

Added by email2trac

comment:22 in reply to: ↑ 21 Changed 8 years ago by bas

Replying to triguero@…:

I've copy the installation script you tell me "masterscript.new" to
/var/lib/systemimager/scripts
and I've renamed this as: saliFedora17.master
It is the name of my image.

In the kernel line, I've added the following parameters:

IMAGESERVER=192.168.1.20 GRUB2=yes SCRIPTNAME=saliFedora.master
IMAGENAME=saliFedora

can you sent me the whole pxeconfig file. You can leave out the IMAGENAME it has no effect when you use
the masterscript.new as example. You can also add the VERBOSE=99. Then you can really debug it ;-)

The image is appropriately get it from the golden-client and it is saved
in the image-server. The corresponding directory is showed in the
sali.cfg file.

In the screenshot you sent me the imaging goes wrong. It tries to send an error to the monitor server. You can turn this off:

  • MONITOR_CONSOLE=no

So does it fetch the scripts directory from your image server. Look in the rsyncd log files. An rerun it with VERBOSE=99. Then we can see what went wrong.

Regards

comment:23 Changed 8 years ago by bas

Ok soe other usefule tips:

  • login on the node with ssh
    • ls /scripts
    • cat /tmp/variables.txt
    • cat or less /var/log/sali.log

Good Luck

comment:25 follow-up: Changed 8 years ago by triguero@decsai.ugr.es

Dear bas,


This is the pxeconfig file that I use:
----------------------------------------------------------------------------
----------------------------------------------------------------

[root@hercules pxelinux.cfg]# cat default.sali_test
default shell

label shell
*/  kernel sali/trunk/kernel
   append vga=extended initrd=sali/trunk/initrd.img ramdisk_size=32768
root=/dev/ram MONITOR_CONSOLE=no SSHD=y tmpfs_size=5000M rw
IMAGESERVER=192.168.1.20 GRUB2=yes SCRIPTNAME=saliFedora.master VERBOSE=99/*

label rsync_squeeze
   kernel sali/trunk/kernel
   append vga=extended initrd=sali/trunk/initrd.img ramdisk_size=131072
root=/dev/ram MONITOR_SERVER=si_monitor MONITOR_CONSOLE=yes
PROTOCOL=rsync tmpfs_size=2400M STAGING=/tmp GRUB2=yes
SCRIPTNAME=amd64_squeeze_lisa.master rw

label rsync_lenny
   kernel sali/trunk/kernel
   append vga=extended initrd=sali/trunk/initrd.img ramdisk_size=131072
root=/dev/ram MONITOR_SERVER=si_monitor MONITOR_CONSOLE=yes
PROTOCOL=rsync tmpfs_size=2400M STAGING=/tmp
SCRIPTNAME=amd64_lenny_lisa.master rw

label scrubme
   kernel sali/trunk/kernel
   append vga=extended initrd=sali/trunk/initrd.img VERBOSELEVEL=2
SSHD=y RESCUE=yes SCRUB=y SCRUB_OPTIONS="-pfastold" rw

label bittorent
   kernel sali/trunk/kernel append vga=extended
initrd=sali/trunk/initrd.img ramdisk_size=131072 root=/dev/ram
MONITOR_SERVER=si_monitor MONITOR_CONSOLE=yes PROTOCOL=bittorrent
tmpfs_size=2400M STAGING=/tmp GRUB2=yes
SCRIPTNAME=amd64_squeeze_lisa.master rw

----------------------------------------------------------------------------
-----------------

I've added VERBOSE as you said and I erased MONITOR_SERVER=si_monitor.

When I've tried to connect with ssh to SALI 1.5.5,  I have noticed that
the sshd service didn't work. I have used the scroll and  I have found again
the error of Ssh private keys (you can find attached). With version
1.5.4 when the error occurs it stopped the execution. I'm sorry not to
check previously.


Meanwhile you can fix this bug, I've returned to 1.5.0 version, and it
fails (moduleError.png).

The error seems to be related with the module "saliFedora" and/or with
rsync.


sali:~ root# uname -r
3.1.4-sali_v1.5.0

sali:~ root# ls /scripts/
Fedora17.master         cluster.txt fedora17.master.backup
post-install            saliFedora.master
centOS_img.master       cluster_img.master hosts
pre-install


sali:~ root# cat /tmp/variables.txt
HOSTNAME=
DOMAINNAME=local
DEVICE=eth0
IPADDR=192.168.1.87
NETMASK=255.255.255.0
BROADCAST=192.168.1.255
GATEWAY=192.168.1.20
GATEWAYDEV=eth0
IMAGESERVER=192.168.1.20
IMAGENAME=saliFedora
LOG_SERVER=
LOG_SERVER_PORT=
USELOGGER=
SSH=
SSHD=y
SSH_USER=
SSH_DOWNLOAD_URL=
MONITOR_SERVER=
MONITOR_PORT=
MONITOR_CONSOLE=no
PROTOCOL=rsync
STAGING=
SALI_VERSION=1.5.0
BITTORRENT=
BITTORRENT_STAGING=
GROUPNAMES=""
GROUP_OVERRIDES="all "
VERBOSE_LEVEL="2"
ARCH="x86_64"
SCRUB=""
SCRUB_DISKS=""
SCRUB_REBOOT=""
SCRUB_HALT=""
SCRUB_OPTIONS=""


I don't see anything relevant in the /var/log/sali.log:

Sep 26 15:31:48 sshd[474]: Server listening on 0.0.0.0 port 22.
Sep 26 15:31:48 sali: > Final preparations
Sep 26 15:31:48 sali: :: Loaded modules
Sep 26 15:31:48 sali: .sg
Sep 26 15:31:48 sali: .sd_mod
Sep 26 15:31:48 sali: .ata_generic
Sep 26 15:31:48 sali: .pata_acpi
Sep 26 15:31:48 sali: .loop
Sep 26 15:31:48 sali: .ata_piix
Sep 26 15:31:48 sali: .libata
Sep 26 15:31:48 sali: .scsi_mod
Sep 26 15:31:48 sali: .ehci_hcd
Sep 26 15:31:48 sali: .uhci_hcd
Sep 26 15:31:48 sali: .e1000e
Sep 26 15:31:48 sali: .floppy
Sep 26 15:31:48 sali: :: Checking for SystemImager specific things
Sep 26 15:31:48 sali: .Using old method: choose_autoinstall_script()
Sep 26 15:31:48 sali: .$PROTOCOL variable is not set, using deprecated
installation method\!
Sep 26 15:31:48 sali: [ Starting installation process ]
Sep 26 15:31:48 sali: > Retrieving installation data
Sep 26 15:31:48 sali: :: Retrieving scripts directory
Sep 26 15:31:49 sali: > Running pre-install scripts
Sep 26 15:31:49 sali: > Installing image ( using the old method )
Sep 26 15:31:49 sali: :: Starting old installer file
Sep 26 15:32:02 kernel: SGI XFS with ACLs, security attributes, large
block/inode numbers, no debug enabled
Sep 26 15:32:02 kernel: XFS (sda4): Mounting Filesystem
Sep 26 15:32:03 kernel: XFS (sda4): Ending clean mount
Sep 26 15:32:09 sali: :: An error has occured, killing off running
processes.
Sep 26 15:32:09 login[673]: root login on 'tty0'




Regards,
Isaac.

El 26/09/12 17:01, sali escribió:
> #51: Sali capabilities
> -------------------------------------+----------------------
>    Reporter:  triguero@…              |      Owner:  bas
>        Type:  defect                  |     Status:  accepted
>    Priority:  major                   |  Milestone:
>   Component:  sali                    |    Version:  1.5.4
> Resolution:                          |   Keywords:
> -------------------------------------+----------------------
>
> Comment (by bas):
>
>   Ok soe other usefule tips:
>    * login on the node with `ssh`
>      * `ls /scripts`
>      * `cat /tmp/variables.txt`
>      * cat or less /var/log/sali.log
>
>   Good Luck
>

SSHerror.png

moduleError.png

Changed 8 years ago by triguero@decsai.ugr.es

Added by email2trac

Changed 8 years ago by triguero@decsai.ugr.es

Added by email2trac

comment:26 in reply to: ↑ 25 Changed 8 years ago by bas

This is the pxeconfig file that I use:



[root@hercules pxelinux.cfg]# cat default.sali_test
default shell

label shell
*/ kernel sali/trunk/kernel

append vga=extended initrd=sali/trunk/initrd.img ramdisk_size=32768

root=/dev/ram MONITOR_CONSOLE=no SSHD=y tmpfs_size=5000M rw
IMAGESERVER=192.168.1.20 GRUB2=yes SCRIPTNAME=saliFedora.master VERBOSE=99/*

Is this correct with the * in front and add the end. It is VERBOSE_LEVEL=99 and not VERBOSE=99.

Meanwhile you can fix this bug, I've returned to 1.5.0 version, and it
fails (moduleError.png).

The error seems to be related with the module "saliFedora" and/or with
rsync.

I had put the wrong 1.5.5. version on our ftp server. Just replaced it and now sshd is started. Just tested it.

Your rsync server does not include the new image module . Which rsyncd server do you run. The sali one or the systemimager one? Did you run:

  • sali rsync

This must be done once if you have created a new image. So the problem lies on your installation server. You must examine your rsyncd.conf file.


comment:29 Changed 8 years ago by triguero@decsai.ugr.es

Hi again!


El 27/09/12 09:04, sali escribió:
> #51: Sali capabilities
> -------------------------------------+----------------------
>    Reporter:  triguero@…              |      Owner:  bas
>        Type:  defect                  |     Status:  accepted
>    Priority:  major                   |  Milestone:
>   Component:  sali                    |    Version:  1.5.4
> Resolution:                          |   Keywords:
> -------------------------------------+----------------------
>
> Comment (by bas):
>
>   > This is the pxeconfig file that I use:
>   >
>
----------------------------------------------------------------------------
>   > ----------------------------------------------------------------
>   >
>   > [root@hercules pxelinux.cfg]# cat default.sali_test
>   > default shell
>   >
>   > label shell
>   > */  kernel sali/trunk/kernel
>   >    append vga=extended initrd=sali/trunk/initrd.img ramdisk_size=32768
>   > root=/dev/ram MONITOR_CONSOLE=no SSHD=y tmpfs_size=5000M rw
>   > IMAGESERVER=192.168.1.20 GRUB2=yes SCRIPTNAME=saliFedora.master
>   VERBOSE=99/*
>   >
>
>   Is this correct with the ''*'' in  front and add the end. It is
>   VERBOSE_LEVEL=99 and not VERBOSE=99.

The "*" was added by thunderbird in order to "stress" this part of the
pxeconfig file! ;)


>   > Meanwhile you can fix this bug, I've returned to 1.5.0 version, and it
>   > fails (moduleError.png).
>   >
>   > The error seems to be related with the module "saliFedora" and/or with
>   > rsync.
>   >
>   I had put the wrong 1.5.5. version on our ftp server. Just replaced it
and
>   now sshd is started. Just tested it.
Thank you, I will try it later.
>   Your rsync server does not include the new image module . Which rsyncd
>   server do you run. The sali one or the systemimager one?  Did you run:
>    * sali rsync
I'm using the sali script. I made a little mistake in my rsyncd.conf
file, but now it seems to work.
I have modified the systemimager-server-rsyncd script in order to start
the rsyncd with the new
rsyncd.conf.

Now, the autoinstall script goes farther, but it fails with
grub-install. You can find attached the problem.
We are almost finished! :)

>   This must be done once if you have created a new image.  So the problem
>   lies on your installation server. You must examine your rsyncd.conf
file.
>

This is the rsyncd log:

2012/09/26 19:46:05 [12738] sent 8445956781 bytes  received 7751637
bytes  total size 8495063945
2012/09/26 19:46:23 [12765] connect from node38 (192.168.1.88)
2012/09/26 17:46:23 [12765] rsync on scripts/imaging_complete from
node38 (192.168.1.88)
2012/09/26 17:46:23 [12765] building file list
2012/09/26 17:46:23 [12765] rsync: link_stat "/imaging_complete" (in
scripts) failed: No such file or directory (2)


Best regard,
Isaac.

grubError.png

Changed 8 years ago by triguero@decsai.ugr.es

Added by email2trac

comment:30 Changed 8 years ago by bas

Are those commands available on your golden client node:

  • grub-install
  • grub-mkconfig

It will chroot to the installed image and execute those commands.

comment:31 Changed 8 years ago by bas

Could it be that the commands for Fedora are:

  • grub2-install
  • grub2=mkconfig

Can you do the following commands on your golden client node:

  • which grub2-install
  • which grub2-mkconfig

comment:33 Changed 8 years ago by triguero@decsai.ugr.es

El 27/09/12 10:50, sali escribió:
> #51: Sali capabilities
> -------------------------------------+----------------------
>    Reporter:  triguero@…              |      Owner:  bas
>        Type:  defect                  |     Status:  accepted
>    Priority:  major                   |  Milestone:
>   Component:  sali                    |    Version:  1.5.4
> Resolution:                          |   Keywords:
> -------------------------------------+----------------------
>
> Comment (by bas):
>
>   Are those commands available on your golden client node:
>    * grub-install
>    * grub-mkconfig

I've got grub2-install and grub2-mkconfig, and I added GRUB2=yes into
the kernel line.
Must I change something in my autoinstallscript?

REgards,
>   It will chroot to the installed image and execute those commands.
>

comment:34 Changed 8 years ago by bas

The rest of the world uses:

  • grub-install
  • grub-mkconfig

I just patched the source. I have to know the full path of your commands. So can you sent it. It will generate a new kernel/initrd.

comment:35 Changed 8 years ago by triguero@decsai.ugr.es

El 27/09/12 11:23, sali escribió:
> #51: Sali capabilities
> -------------------------------------+----------------------
>    Reporter:  triguero@…              |      Owner:  bas
>        Type:  defect                  |     Status:  accepted
>    Priority:  major                   |  Milestone:
>   Component:  sali                    |    Version:  1.5.4
> Resolution:                          |   Keywords:
> -------------------------------------+----------------------
>
> Comment (by bas):
>
>   The rest of the world uses:
>    * grub-install
>    * grub-mkconfig
Wow! Fedora is too bleeding edge!!


>   I just patched the source. I have to know the full path of your
commands.
I've found grub2-isntall and grub2-mkconfig in

[root@node36 ~]# ls /sbin/grub2*
/sbin/grub2-bios-setup  /sbin/grub2-install  /sbin/grub2-mkconfig
/sbin/grub2-mknetdir  /sbin/grub2-ofpathname  /sbin/grub2-probe
/sbin/grub2-reboot  /sbin/grub2-set-default /sbin/grub2-sparc64-setup

If you don't want to generate a new kernel/initrd, let me know what are
the changes I have to do.

Best regards,
Isaac.

>   So can you sent it. It will generate a new kernel/initrd.
>

comment:36 Changed 8 years ago by bas

Is not bleeding edge ;-). They just named the binaries differently! I just uploaded version 1.5.6. Can you test it?

Thanks

comment:37 follow-up: Changed 8 years ago by triguero@decsai.ugr.es

El 27/09/12 11:50, sali escribió:
> #51: Sali capabilities
> -------------------------------------+----------------------
>    Reporter:  triguero@…              |      Owner:  bas
>        Type:  defect                  |     Status:  accepted
>    Priority:  major                   |  Milestone:
>   Component:  sali                    |    Version:  1.5.4
> Resolution:                          |   Keywords:
> -------------------------------------+----------------------
>
> Comment (by bas):
>
>   Is not bleeding edge ;-). They just named the binaries differently! I
just
>   uploaded version 1.5.6. Can you test it?
>
>   Thanks
>
It doesn't work well. The installation script doesn't fail, however, the
client system doesn't start. It shows the grub2 menu all the time, you
can select one option but in 10 seconds it returns to the menu.

With verbose mode, I have observed that you execute the following:

. /a grub2-mkconfig -o /boot/grub/grub.cfg

I think that this is the problem. In fedora 17 a,  the grub cfg is in:

/boot/grub2/grub.cfg


Furthermore,  when the client reboots it tries again to start sali... Is
it not automatically stopped? I thought so.

Regards,
isaac

comment:38 in reply to: ↑ 37 Changed 8 years ago by bas

doesn't work well. The installation script doesn't fail, however, the

client system doesn't start. It shows the grub2 menu all the time, you
can select one option but in 10 seconds it returns to the menu.

With verbose mode, I have observed that you execute the following:

. /a grub2-mkconfig -o /boot/grub/grub.cfg

I think that this is the problem. In fedora 17 a, the grub cfg is in:

/boot/grub2/grub.cfg

$$%%. I will adjust it! There is a new 1.5.6 version.

Furthermore, when the client reboots it tries again to start sali... Is
it not automatically stopped? I thought so.

You must have a post-install script, see example:

  • example/post-install/98all.pxeconfig

Copy this script to you post installation scripts directory and the pxeconfig file
will be removed from the installation node.

comment:33 Changed 8 years ago by bas

(In [539]) fixed some issues with grub2 installation. Some distributions use different commands, see #51

comment:34 Changed 8 years ago by bas

  • Version 1.5.4 deleted

comment:41 Changed 8 years ago by triguero@decsai.ugr.es

Dear bas,

everything works!!! I have my first sali-clone! :)

I have to check the ''clone'' but it seems to be ok.  I have to study how to
change the name of  the new host.. Systemimager call this as it appears
in the dhcp server config file!

I really appreciate all your efforts!  I will prepare a little ''quick
guide" for people who work with Fedora and
I'll send you as soon as possible.

Best regards!
Isaac.

El 27/09/12 14:35, sali escribió:
> #51: Sali capabilities
> -------------------------------------+----------------------
>    Reporter:  triguero@…              |      Owner:  bas
>        Type:  defect                  |     Status:  accepted
>    Priority:  major                   |  Milestone:
>   Component:  sali                    |    Version:
> Resolution:                          |   Keywords:
> -------------------------------------+----------------------
> Changes (by bas):
>
>   * version:  1.5.4 =>
>
>

comment:42 Changed 8 years ago by bas

Isaac,

I am glad to hear to succeeded :-D. We now in the process of phasing out systemconfigurator. So we can set the hostname, fstab and networking interface file. You still can use systemcionfigurator in your master.script to set those things. I do noy know if this works. But for hostname you can just echo $HOSTNAME (by head) to the appropriate file (debian: /etc/hostname), I do not know the location for Fedora (/etc/systconfig/hostname). So that one seems easy

comment:43 Changed 8 years ago by triguero@decsai.ugr.es

Hi bas,

there is something wrong in the "clone"! :(

I can't modify any file!

When I try to modify something it tells me: "Read-only filesystem"
I cannot execute anything..

Furthermore, I am really afraid with this:

[root@node36 ~]# cd /boot
[root@node36 boot]# ls

There is nothing in the /boot directory... it is very strange!

Regards!


El 27/09/12 18:02, sali escribió:
> #51: Sali capabilities
> -------------------------------------+----------------------
>    Reporter:  triguero@…              |      Owner:  bas
>        Type:  defect                  |     Status:  accepted
>    Priority:  major                   |  Milestone:
>   Component:  sali                    |    Version:
> Resolution:                          |   Keywords:
> -------------------------------------+----------------------
>
> Comment (by bas):
>
>   Isaac,
>
>    I am glad to hear to succeeded :-D.  We now in the process of phasing
out
>   systemconfigurator. So we can set the hostname, fstab and networking
>   interface file. You still can use systemcionfigurator in your
>   master.script to set those things. I do noy know if this works. But for
>   hostname you can just echo $HOSTNAME (by head) to the appropriate file
>   (debian: /etc/hostname), I do not know the location for Fedora
>   (/etc/systconfig/hostname). So that one seems easy
>

comment:44 Changed 8 years ago by triguero@decsai.ugr.es

Hi again,

I've found at

http://forums.fedoraforum.org/showthread.php?t=278404

that the problem is the use of "ro" in the kernel line. I've changed it
manually and it works. However,
I don't understand this problem

I have checked the grub.cfg file in the golden-client, and it has this
parameter "ro":

linux    /boot/vmlinuz-3.5.4-1.fc17.x86_64
root=UUID=b3c0b385-e5cf-49e7-8092-52dc0b154018 ro

I suppose that the problem is related with the location of grub. In the
golden-client I've got a /boot/ directory full of configuration files,
however, in the ''clone'' it is empty....

I've observed that grub2-install has installed grub in /dev/sda1
partition. It doesn't correspond with the clone node.

GOLDEN-CLIENT:
[root@node36 media]# ls /dev/sda*
/dev/sda  /dev/sda1  /dev/sda2

Clone-node
[root@node37 ~]# ls /dev/sda*
/dev/sda  /dev/sda1  /dev/sda2  /dev/sda3  /dev/sda4



Regards.

El 27/09/12 18:15, sali escribió:
> #51: Sali capabilities
> -------------------------------------+----------------------
>    Reporter:  triguero@…              |      Owner:  bas
>        Type:  defect                  |     Status:  accepted
>    Priority:  major                   |  Milestone:
>   Component:  sali                    |    Version:
> Resolution:                          |   Keywords:
> -------------------------------------+----------------------
>
> Comment (by triguero@…):
>
>   {{{
>
>   Hi bas,
>
>   there is something wrong in the "clone"! :(
>
>   I can't modify any file!
>
>   When I try to modify something it tells me: "Read-only filesystem"
>   I cannot execute anything..
>
>   Furthermore, I am really afraid with this:
>
>   [root@node36 ~]# cd /boot
>   [root@node36 boot]# ls
>
>   There is nothing in the /boot directory... it is very strange!
>
>   Regards!
>
>
>   El 27/09/12 18:02, sali escribió:
>   > #51: Sali capabilities
>   > -------------------------------------+----------------------
>   >    Reporter:  triguero@…              |      Owner:  bas
>   >        Type:  defect                  |     Status:  accepted
>   >    Priority:  major                   |  Milestone:
>   >   Component:  sali                    |    Version:
>   > Resolution:                          |   Keywords:
>   > -------------------------------------+----------------------
>   >
>   > Comment (by bas):
>   >
>   >   Isaac,
>   >
>   >    I am glad to hear to succeeded :-D.  We now in the process of
phasing
>   out
>   >   systemconfigurator. So we can set the hostname, fstab and networking
>   >   interface file. You still can use systemcionfigurator in your
>   >   master.script to set those things. I do noy know if this works. But
>   for
>   >   hostname you can just echo $HOSTNAME (by head) to the appropriate
file
>   >   (debian: /etc/hostname), I do not know the location for Fedora
>   >   (/etc/systconfig/hostname). So that one seems easy
>   >
>
>   }}}
>

comment:45 Changed 8 years ago by bas

Isaac,

You use the master install script that is included in the sali tarball. This has a different disk layout the your golden client node. You must adjust it to your needs, maybe also your:

  • /etc/fstab

As for grub2 as mentioned in the documentation we use a smail partition of your disk for grub2. Has your image on the imageserver also a lot of file below /boot. I suppose is has todo with another disk layout between your golden client and master install script. So the /etc/fstab is mounting wrong filesystems. That is why we use LABELS for our partitions (master script). Note that you get an extra partition for grub2 (sda3)

The bottom line is you have to adjust your master install script. Systemimager would generate a script but we have made a lot of fucntions to hide the complexity. See the script howto create the partitions and docs. It is easy and i hope you already use disk labels in /etc/fstab, e.g.:

proc            /proc           proc    defaults        0       0
LABEL=root      /               xfs     rw              0       1
LABEL=swap      none            swap    sw              0       0
LABEL=boot      /boot           ext2    rw              0       2
LABEL=scratch   /scratch        xfs     rw              0       2

I am at off the office tomorrow.

Regards

comment:46 Changed 8 years ago by bas

It was wonder that the node boots ;-)

comment:47 Changed 8 years ago by triguero@decsai.ugr.es

Thanks bas, I've found a lot differences.

where are the functions that the auto-install script uses?
are compiled into the sources??  I think I have to change some of them...

First,  I have changed this line:

  partition $DISK0 1:grub2 4096:swap::swap 0:ext3:/:root

and I'm using LABELS in my fstab but I dont find the solution. I hope to
find it searching in
the implemented functions.

Regards.
Isaac





El 27/09/12 19:40, sali escribió:
> #51: Sali capabilities
> -------------------------------------+----------------------
>    Reporter:  triguero@…              |      Owner:  bas
>        Type:  defect                  |     Status:  accepted
>    Priority:  major                   |  Milestone:
>   Component:  sali                    |    Version:
> Resolution:                          |   Keywords:
> -------------------------------------+----------------------
>
> Comment (by bas):
>
>   Isaac,
>
>   You use the master install script that is included in the sali tarball.
>   This has a different disk layout the your golden client node. You must
>   adjust it to your needs, maybe also your:
>    * /etc/fstab
>
>
>   As for grub2 as mentioned  in the documentation we use a smail partition
>   of your disk for  grub2.   Has your image on the imageserver also a lot
of
>   file below /boot. I suppose is has todo with another disk layout between
>   your golden client and master install script. So the /etc/fstab is
>   mounting wrong filesystems. That is why we use LABELS for our partitions
>   (master script). Note that you get an extra partition for grub2 (sda3)
>
>   The bottom line is you have to adjust your master install script.
>   Systemimager would generate a script but we have made a lot of fucntions
>   to hide the complexity. See the script howto create the partitions and
>   docs. It is easy and i hope you already use disk labels in /etc/fstab,
>   e.g.:
>   {{{
>   proc            /proc           proc    defaults        0       0
>   LABEL=root      /               xfs     rw              0       1
>   LABEL=swap      none            swap    sw              0       0
>   LABEL=boot      /boot           ext2    rw              0       2
>   LABEL=scratch   /scratch        xfs     rw              0       2
>   }}}
>
>   I am at off the office tomorrow.
>
>   Regards
>

comment:48 Changed 8 years ago by triguero@decsai.ugr.es

I've found the solution!!

It is necessary to change the way in which the autoinstall script parts
the disk:

     partition $DISK0 1:grub2 4096:swap::swap 0:ext3:/:root

and it's necessary that the golden-client uses labels in the fstab as
following:

LABEL=root /                       ext3    defaults        1 1
UUID=cc039875-4fa7-4e6b-a2fc-2a6e2e39ca9e swap swap    defaults        0 0


Thank you!!
best regards,
Isaac.


El 27/09/12 22:03, sali escribió:
> #51: Sali capabilities
> -------------------------------------+----------------------
>    Reporter:  triguero@…              |      Owner:  bas
>        Type:  defect                  |     Status:  accepted
>    Priority:  major                   |  Milestone:
>   Component:  sali                    |    Version:
> Resolution:                          |   Keywords:
> -------------------------------------+----------------------
>
> Comment (by triguero@…):
>
>   {{{
>
>   Thanks bas, I've found a lot differences.
>
>   where are the functions that the auto-install script uses?
>   are compiled into the sources??  I think I have to change some of
them...
>
>   First,  I have changed this line:
>
>     partition $DISK0 1:grub2 4096:swap::swap 0:ext3:/:root
>
>   and I'm using LABELS in my fstab but I dont find the solution. I hope to
>   find it searching in
>   the implemented functions.
>
>   Regards.
>   Isaac
>
>
>
>
>
>   El 27/09/12 19:40, sali escribió:
>   > #51: Sali capabilities
>   > -------------------------------------+----------------------
>   >    Reporter:  triguero@…              |      Owner:  bas
>   >        Type:  defect                  |     Status:  accepted
>   >    Priority:  major                   |  Milestone:
>   >   Component:  sali                    |    Version:
>   > Resolution:                          |   Keywords:
>   > -------------------------------------+----------------------
>   >
>   > Comment (by bas):
>   >
>   >   Isaac,
>   >
>   >   You use the master install script that is included in the sali
>   tarball.
>   >   This has a different disk layout the your golden client node. You
must
>   >   adjust it to your needs, maybe also your:
>   >    * /etc/fstab
>   >
>   >
>   >   As for grub2 as mentioned  in the documentation we use a smail
>   partition
>   >   of your disk for  grub2.   Has your image on the imageserver also a
>   lot
>   of
>   >   file below /boot. I suppose is has todo with another disk layout
>   between
>   >   your golden client and master install script. So the /etc/fstab is
>   >   mounting wrong filesystems. That is why we use LABELS for our
>   partitions
>   >   (master script). Note that you get an extra partition for grub2
(sda3)
>   >
>   >   The bottom line is you have to adjust your master install script.
>   >   Systemimager would generate a script but we have made a lot of
>   fucntions
>   >   to hide the complexity. See the script howto create the partitions
and
>   >   docs. It is easy and i hope you already use disk labels in
/etc/fstab,
>   >   e.g.:
>   >   {{{
>   >   proc            /proc           proc    defaults        0       0
>   >   LABEL=root      /               xfs     rw              0       1
>   >   LABEL=swap      none            swap    sw              0       0
>   >   LABEL=boot      /boot           ext2    rw              0       2
>   >   LABEL=scratch   /scratch        xfs     rw              0       2
>   >   }}}
>   >
>   >   I am at off the office tomorrow.
>   >
>   >   Regards
>   >
>
>   }}}
>

comment:49 Changed 7 years ago by dennis

  • Resolution set to fixed
  • Status changed from accepted to closed

Add Comment

Modify Ticket

Change Properties
Action
as closed The owner will remain bas.
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.